<section class="section bg-white py-0 " id="introduction">
    <div class="myModal mymodeloverwrite">
        <div class="row canAppDiv modal-dialog modal-lg">

            <div class="col-md-12 modal-content model_overwrite">
                <div class="noDecor modal-body model_overwrite">
                    <div id="VerifyEmail-step">

                        <div class="form-horizontal bg-white">
                            <div class="text-center">
                                <a (click)="close()"><img class="logo-default" src="./assets/img/CANExchange.svg" width="auto"
                                        height="23px" alt="logo"></a>
                            </div>
                            <div class="form-progressbar nav-bar">
                                <div class="step step-details active">
                                    <span class="arrow fa fa-caret-down"></span>Details</div>
                                <div class="step step-payment-method">
                                    <span class="arrow fa fa-caret-down"></span>Payment</div>
                                <div class="step step-deposit">
                                    <span class="arrow fa fa-caret-down"></span>Deposit</div>
                                <div class="step step-complete">
                                    <span class="arrow fa fa-caret-down"></span>Complete</div>
                            </div>

                            <form class="form" name="form" (ngSubmit)="personalForm.form.valid && goToNext();" #personalForm="ngForm" novalidate>
                                <fieldset class="field_set_overwrite">
                                    <div class="form-group">
                                        <label class="control-label" for="email">Enter Email</label>
                                        <input class="form-control ng-pristine ng-invalid ng-touched" #email="ngModel" pattern="^[^\s@]+@[^\s@]+\.[^\s@]{2,}$" id="email"
                                            name="email" type="text" placeholder="Email" [(ngModel)]="personal.email" required email [ngClass]="{ 'is-invalid': personalForm.submitted && email.invalid }" />
                                            <div *ngIf="personalForm.submitted && email.invalid" class="invalid-feedback">
                                                <div *ngIf="email.errors.required">Email is required</div>
                                            </div>
                                        </div>

                                    <div class="form-group">
                                        <label class="control-label" for="card-number">Enter Destination Address</label>
                                        <div class="input-group">
                                            <input class="form-control input-md" readonly="readonly" #address="ngModel" required id="address" name="address" type="text"
                                                placeholder="0x683616241b17c1c1327f22df46ae7dc0366b6zc4" [(ngModel)]="personal.address"
                                                (input)="validateAddress($event.target.value)" pattern="^0x[a-fA-F0-9]{40}$">
                                            <img *ngIf="metamask" class="input-group-addon metamask" src="./assets/img/metamask.png" width="auto" height="23px" />
                                            <img *ngIf="!metamask" class="input-group-addon metamask-grey" src="./assets/img/metamask.png" width="auto" height="23px"
                                            />
                                        </div>
                                        <small class="canya-color-text">Address of the wallet you wish to load with CAN</small>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label" for="amount">Enter Amount</label>
                                        <div class="input-group">
                                            <select class="input-group-addon" style="width: 110px; padding-left: 5px;">
                                                <option value="usd" disabled="disabled" selected>$ USD</option>
                                            </select>

                                            <input class="form-control input-md" readonly="readonly" #amount="ngModel" required id="usd" name="usd" type="number" placeholder="0"
                                                [(ngModel)]="personal.usd" style="padding-left: 5px;">

                                        </div>
                                        <span class="canya-color-text">CAN {{personal.amount | number : '1.6-6'}}</span>
                                    </div>

                                </fieldset>


                                <div class="footer-buttons">
                                    <button class="btn btn-success btn-outline-rounded btn-info float-right customColor">
                                        Continue</button>
                                    <button class="btn btn-outline btn-white-trans float-left" (click)="cancel()">
                                        Cancel</button>

                                </div>
                            </form>
                            <div class="text-center help-line">
                                <a href="#">Need Help?</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>